# For cloudflare robot verification
apiVersion: apps/v1
kind: Deployment
metadata:
  name: flaresolverr
  namespace: home-apps
  labels:
    app: flaresolverr
spec:
  replicas: 1
  revisionHistoryLimit: 2
  selector:
    matchLabels:
      app: flaresolverr
  template:
    metadata:
      labels:
        app: flaresolverr
        name: flaresolverr
    spec:
      containers:
        - name: flaresolverr
          image: ghcr.io/flaresolverr/flaresolverr:v3.3.14
          imagePullPolicy: IfNotPresent
          ports:
            - containerPort: 8191
              name: web
              protocol: TCP
          env:
            - name: TZ
              value: "Australia/Melbourne"
            - name: BROWSER_TIMEOUT
              value: "60000"
          resources:
            requests:
              cpu: 200m
              memory: 256Mi
            limits:
              cpu: 500m
              memory: 512Mi
---

apiVersion: v1
kind: Service
metadata:
  name: flaresolverr
  labels:
    name: flaresolverr
spec:
  type: ClusterIP
  selector:
    app: flaresolverr
  ports:
    - name: flaresolverr
      targetPort: web
      port: 8191
      protocol: TCP
